
float4x4 view_proj_matrix;
float3 camPos;

struct VS_OUTPUT {
   float4 Pos: POSITION;
   float2 texCoord: TEXCOORD0;
   float3 viewVec:  TEXCOORD1;
};

VS_OUTPUT main(float4 pos: POSITION, float2 texCoord: TEXCOORD0){
   VS_OUTPUT Out;

   Out.Pos = mul(view_proj_matrix, pos);
   Out.texCoord = texCoord;
   Out.viewVec = pos - camPos;

   return Out;
}


